import fastify from 'fastify';

export type CreateServerArgs = {
  env?: string
}

export const createServer = (args = { env: process.env.NODE_ENV } as CreateServerArgs) => fastify({
  logger: args.env !== 'test',
});
