import { generate as coreGenerate } from '@modal-sh/oblique-strategies-core';

export interface CardService {
  generate(cards?: string[]): string
}

type GenerateInternal = (cards?: string[]) => string

export class CardServiceImpl implements CardService {
  private readonly generateInternal: GenerateInternal;

  constructor() {
    this.generateInternal = coreGenerate;
  }

  generate(cards?: string[]): string {
    return this.generateInternal(cards);
  }
}
