import { FastifyInstance } from 'fastify';
import { CardControllerImpl } from './modules/card';

export const addRoutes = (server: FastifyInstance) => {
  const cardController = new CardControllerImpl();

  server.route({
    method: 'POST',
    url: '/',
    handler: cardController.generate,
  });
};
